For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Locations
LogoLogo
API ReferenceLocations

Get Locations

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/location
GET
/2026-01/location
$curl -G https://sandbox-api.shipbob.com/2026-01/location \
> -H "Authorization: Bearer <token>" \
> -d IncludeInactive=true \
> -d ReceivingEnabled=true \
> -d AccessGranted=true
1[
2 {
3 "abbreviation": "string",
4 "access_granted": true,
5 "attributes": [
6 "string"
7 ],
8 "id": 0,
9 "is_active": true,
10 "is_receiving_enabled": true,
11 "is_shipping_enabled": true,
12 "name": "string",
13 "region": {
14 "id": 0,
15 "name": "string"
16 },
17 "services": [
18 {
19 "address": {
20 "address1": "string",
21 "address2": "string",
22 "city": "string",
23 "country": "string",
24 "email": "string",
25 "name": "string",
26 "phone_number": "string",
27 "state": "string",
28 "zip_code": "string"
29 },
30 "enabled": true,
31 "service_type": "Receiving"
32 }
33 ],
34 "timezone": "string"
35 }
36]
Retrieves physical locations across ShipBob's fulfillment network. An active location (`is_active=true`) is operational for fulfillment processes, including receiving inventory and processing returns. Access to locations varies: some are available to all merchants by default, while others require special approval. Use the `access_granted` parameter to determine if a location is available to the authenticated user, and `receiving_enabled` to confirm if the location accepts inventory.
Was this page helpful?
Previous

Search Transactions

Next

Get Order

Built with

Retrieves physical locations across ShipBob’s fulfillment network. An active location (is_active=true) is operational for fulfillment processes, including receiving inventory and processing returns. Access to locations varies: some are available to all merchants by default, while others require special approval. Use the access_granted parameter to determine if a location is available to the authenticated user, and receiving_enabled to confirm if the location accepts inventory.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

IncludeInactivebooleanOptional
Whether the inactive locations should be included or not
ReceivingEnabledbooleanOptional
Return all the receiving enabled locations
AccessGrantedbooleanOptional
Return all the access granted locations

Response

Success
abbreviationstring
Abbreviation of the location. Combination of nearest Airport Code and the sequence number.
access_grantedboolean
Indicates whether or not the user is authorized to interact at all with the location
attributeslist of strings
Available attributes for the location
idinteger

Id of the location in ShipBob’s database

is_activeboolean
Indicates if the location is operationally active or inactive
is_receiving_enabledboolean
Indicates if the receiving is enabled for FC
is_shipping_enabledboolean
Indicates if the shipping is enabled for FC
namestring

Name of the location. Follows the naming convention City (State Code) for domestic FCs and City (Country Code) for international FCs

regionobject
serviceslist of objects
Services provided by the location
timezonestring
Time zone of the location

Errors

401
Unauthorized Error
403
Forbidden Error